| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Attributes | List of all members
Digikam::NoiseDetector Class Reference
Inheritance diagram for Digikam::NoiseDetector:

## Public Types
typedef QList< cv::Mat > | Mat3D

## Public Member Functions
| NoiseDetector ()
| Main noise detection.
float | detect (const cv::Mat &image) const override
Public Member Functions inherited from Digikam::AbstractDetector
| AbstractDetector (QObject *const parent=nullptr)

## Static Public Attributes
static const Mat3D | filtersHaar = initFiltersHaar()

## Additional Inherited Members
Static Public Member Functions inherited from Digikam::AbstractDetector
static cv::Mat | prepareForDetection (const DImg &inputImage)

## Member Function Documentation

## ◆ detect()

float Digikam::NoiseDetector::detect | ( | const cv::Mat & | image | ) | const
| override virtual

Implements Digikam::AbstractDetector.